bm::iterator_deserializer< BV, SerialIterator > Class Template Reference

Iterator to walk forward the serialized stream. More...

`#include <bmserial.h>`

Inheritance diagram for bm::iterator_deserializer< BV, SerialIterator >:
[legend]

## Public Types

typedef BV | bvector_type
typedef bvector_type::size_type | size_type
typedef SerialIterator | serial_iterator_type

## Public Member Functions

void | set_range (size_type from, size_type to)
| set deserialization range [from, to]
void | unset_range () BMNOEXCEPT
| disable range filtration
size_type | deserialize (bvector_type &bv, serial_iterator_type &sit, bm::word_t *temp_block, set_operation op=bm::set_OR, bool exit_on_one=false)

## Detailed Description

template<class BV, class SerialIterator>
class bm::iterator_deserializer< BV, SerialIterator >

Iterator to walk forward the serialized stream.

Definition at line 708 of file bmserial.h.

## Member Typedef Documentation

## bvector_type

template<class BV, class SerialIterator>

typedef BV bm::iterator_deserializer< BV, SerialIterator >::bvector_type

Definition at line 711 of file bmserial.h.

## serial_iterator_type

template<class BV, class SerialIterator>

typedef SerialIterator bm::iterator_deserializer< BV, SerialIterator >::serial_iterator_type

Definition at line 713 of file bmserial.h.

## size_type

template<class BV, class SerialIterator>

typedef bvector_type::size_type bm::iterator_deserializer< BV, SerialIterator >::size_type

Definition at line 712 of file bmserial.h.

## Member Function Documentation

## deserialize()

template<class BV, class SerialIterator>

iterator_deserializer< BV, SerialIterator >::size_type bm::iterator_deserializer< BV, SerialIterator >::deserialize | ( | bvector_type & | bv,
|  | serial_iterator_type & | sit,
|  | bm::word_t * | temp_block,
|  | set_operation | op = bm::set_OR,
|  | bool | exit_on_one = false )

Definition at line 6984 of file bmserial.h.

References bm::bit_block_xor(), bm::bits_in_block, BM_ASSERT, BM_IS_GAP, BMSET_PTRGAP, bm::check_block_zero(), bm::combine_count_operation_with_block(), bm::COUNT_SUB_BA, bm::COUNT_XOR, FULL_BLOCK_REAL_ADDR, bm::gap_calc_level(), bm::gap_convert_to_bitset(), bm::gap_equiv_len, bm::gap_length(), bm::get_block_coord(), bm::is_const_set_operation(), IS_FULL_BLOCK, bm::operation2metric(), bm::bvector< Alloc >::opt_compress, bm::set_AND, bm::set_ASSIGN, bm::set_block_shift, bm::set_COUNT, bm::set_COUNT_A, bm::set_COUNT_AND, bm::set_COUNT_B, bm::set_COUNT_OR, bm::set_COUNT_SUB_AB, bm::set_COUNT_SUB_BA, bm::set_COUNT_XOR, bm::set_END, bm::set_gap_level(), bm::set_OR, bm::set_SUB, bm::set_XOR, and bm::setop2op().

## set_range()

template<class BV, class SerialIterator>

void bm::iterator_deserializer< BV, SerialIterator >::set_range | ( | size_type | from,
|  | size_type | to )

set deserialization range [from, to]

Definition at line 6772 of file bmserial.h.

References bm::set_block_shift.

## unset_range()

template<class BV, class SerialIterator>

void bm::iterator_deserializer< BV, SerialIterator >::unset_range | ( |  | ) |

inline

disable range filtration

Definition at line 720 of file bmserial.h.

References BMNOEXCEPT.

The documentation for this class was generated from the following file:

- bmserial.h